Last Comment Bug 8643 - Cyrillic letters don't shown on forms for some charset.
: Cyrillic letters don't shown on forms for some charset.
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 Windows 98
: P3 major (vote)
: M11
Assigned To: buster
: Teruko Kobayashi
Mentors:
Depends on: 6262
Blocks: 7228
  Show dependency treegraph
 
Reported: 1999-06-21 19:02 PDT by g16776
Modified: 1999-10-18 16:05 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description g16776 1999-06-21 19:02:07 PDT
Cyrillic letters shown correctly on the forms (buttons, combobox, etc)
only if western codepage selected. But, of couse, all over text on page
don't viewed correctly. If I set Cyrillic (win-1251) codepage,
plain text is Ok, but text on forms unreadable.
Comment 1 Frank Tang 1999-06-24 22:41:59 PDT
As I understand, no matter what  you do, form (buttons, combobox, etc) won't
display anyway. When the GFX widget land, this should be solved. Reassign this
pierre since this is depend on his GFX based widget switching.
Comment 2 Pierre Saslawsky 1999-06-28 15:36:59 PDT
The description isn't very clear and I'm not as sure as Franck that this problem
is related to native widgets and will be fixed when we switch to GFX widgets.
Also, this bug has reported against Windows and shouldn't have been reassigned to
me.

So I'm reassigning now to <bobj> hoping he can confirm what Franck said and
either reassign to the right person (<pollmann>, I think) either close as
duplicate of another bug because we already have so many related to native
widgets and i18n issues.
Comment 3 bobj 1999-06-29 10:39:59 PDT
Current forms (native) widgets implementations are temporary.
Once the GFX widgets are enabled, we should regress all the bugs currently
reported against the native widgets.  We expect these to work because Ender
appears to be I18N enabled.  Making this dependent upon the GFX widget
bug #6262 and reassigning to buster for now.
Comment 4 buster 1999-07-08 15:17:59 PDT
GFX widgets are landing in M9
Comment 5 buster 1999-08-05 15:18:59 PDT
GFX text control landing pushed back to M10.  See 6262.
Comment 6 buster 1999-08-31 16:19:59 PDT
moved to M11
Comment 7 buster 1999-09-14 09:56:59 PDT
gfx controls are now on by default on win and linux, easily settable on mac.
marking fixed.  Please verify with gfx controls turned on.
Comment 8 Teruko Kobayashi 1999-10-18 16:05:59 PDT
Test cases is in http://warp/employees/erik/tests/forms/nbsp/all-charsets
I verified this in 10-18-08 Win32, Linux build.

Note You need to log in before you can comment on or make changes to this bug.